from collections import OrderedDict
import csv
import sys
import os

def convert(text, mapping_file="", to_ipa=True):
    if mapping_file == "":
        print("No mapping file provided.")
        return(text)
    mappings = {}
    if os.path.isfile(mapping_file):
        with open(mapping_file) as csvfile:
            reader = csv.DictReader(csvfile)
            for row in reader:
                mappings[row["Ortho"]] = row["IPA"]
        sorted_mappings = OrderedDict()
        ph = "§§§§§"
        for i, k in enumerate(sorted(mappings.keys(), key=len, reverse=True)):
            sorted_mappings[ph+str(i)] = {
                "ortho":k,
                "ipa":mappings[k]
            }
        if to_ipa:
            a = "ortho"
            b = "ipa"
        else:
            a = "ipa"
            b = "ortho"
        for k, i in sorted_mappings.items():
            text = text.replace(i[a],k)
        for k, i in reversed(sorted_mappings.items()):
            text = text.replace(k,i[b])
        return text
    else:
        print("Mapping file not found.")
        return(text)